Package twisted :: Package manhole :: Module _inspectro :: Class InspectorNode

[frames | no frames]

## Class InspectorNode

    Adapter --+
              |
             InspectorNode

Known Subclasses:
  `AttributesNode`, `ConstantNode`, `DictionaryNode`, `InstanceNode`, `ListNode`

Method Summary
| `__getitem__(self, index)`
| `format(self)`
| `getPath(self)`
| `origstr(self)`
| `postInit(self, offset, parent, slot)`
Inherited from Adapter
| ``__init__`(self, original)` Set my 'original' attribute to be the object I am adapting.
| ``getComponent`(self, interface, registry, default)` I forward getComponent to self.original if it has it, otherwise I simply return default.
| ``isuper`(self, iface, adapter)` Forward isuper to self.original

Class Variable Summary
`class` | `__implements__` = `twisted.manhole._inspectro.INode`
Inherited from Adapter
`int` | `multiComponent`: If this adapter is persistent, should it be automatically registered for all appropriate interfaces.
`int` | `temporaryAdapter`: If this is True, the adapter will not be persisted on the Componentized.

Generated by Epydoc 2.0 on Wed Feb 25 07:37:52 2004 | http://epydoc.sf.net